# original for acroread-7 from rpmforge

%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip-comment-note %{nil}
%define desktop_vendor cern

Summary: Adobe Reader for viewing PDF files
Name: acroread
Version: 9.4.6
Release: 1.slc5
License: Commercial, Distributable
Group: Applications/Publishing
URL: http://www.adobe.com/products/acrobat/readermain.html

Source: ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.4.6/enu/AdbeRdr9.4.6-1_i486linux_enu.tar.bz2
Source1: acroread.png

Source98: find_requires_acroread_9.sh
Source99: find_provides_acroread_9.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

ExclusiveArch: i386
BuildRequires: perl
BuildRequires: desktop-file-utils
Obsoletes: acrobat
Requires: htmlview
Provides: %{name}-plugin = %{version}-%{release}
Obsoletes: %{name}-plugin < %{version}


# acoread-8 comes with its own copy of libstdc++ and similar.
# This should probably not be "Provided" to other RPMs..
%define _use_internal_dependency_generator 0
%define    __find_provides %{SOURCE99}
%define    __find_requires %{SOURCE98}


%description
Adobe Reader is part of the Adobe Acrobat family of software,
which lets you view, distribute, and print documents in Portable
Document Format (PDF)--regardless of the computer, operating system,
fonts, or application used to create the original file.

PDF files retain all the formatting, fonts, and graphics of the
original document, and virtually any PostScript(TM) document can
be converted into a PDF file. Adobe Acrobat Reader has a plug-in
for Mozilla/Firefox to view PDF files inline.

%prep
%setup -c

%{__cat} <<EOF >WebLink
*LinkDisplay:	CTRL
*OpenURL:	NO
*IsMapped:	NO
*Progress:	NO
*Toolbar:	YES
*SelectedBrowser:	/usr/bin/htmlview	
*SelectedDriver:	Netscape
EOF

%build

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m0755 %{buildroot}%{_libdir}/acroread/
%{__tar} -xvf AdobeReader/COMMON.TAR -C %{buildroot}%{_libdir}/acroread/
%{__tar} -xvf AdobeReader/ILINXR.TAR -C %{buildroot}%{_libdir}/acroread/

#%{__mv} -f %{buildroot}%{_libdir}/acroread/bin/acroread.sh %{buildroot}%{_libdir}/acroread/bin/acroread

### Fixup path and fixed LANG/LC_ALL settings until Adobe adds Unicode locale support
%{__perl} -pi -e 's|^install_dir=.*$|install_dir=%{_libdir}/acroread/Adobe/Reader9/Reader|' %{buildroot}%{_libdir}/acroread/Adobe/Reader9/bin/acroread

### Shutup some rpm permission warnings
%{__chmod} +x %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Reader/*/lib/lib*.so* %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Browser/*/*.so

%{__install} -d -m0755 %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Reader/intellinux/app-defaults
%{__install} -D -m0644 WebLink %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Reader/intellinux/app-defaults/WebLink

### Make links
%{__install} -d -m0755 %{buildroot}%{_bindir}
%{__ln_s} -f %{_libdir}/acroread/Adobe/Reader9/bin/acroread %{buildroot}%{_bindir}/acroread

%{__install} -d -m0755 %{buildroot}/usr/share/X11/app-defaults/
%{__ln_s} -f %{_libdir}/acroread/Adobe/Reader9/Reader/intellinux/app-defaults/WebLink %{buildroot}/usr/share/X11/app-defaults/WebLink

%{__install} -d -m0755 %{buildroot}%{_libdir}/mozilla/plugins/
cd %{buildroot}%{_libdir}/mozilla/plugins/
%{__ln_s} -f ../../acroread/Adobe/Reader9/Browser/intellinux/nppdf.so nppdf.so 
cd -

%{__install} -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/acroread.png


%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
        desktop-file-install --vendor %{desktop_vendor}    \
                --add-category X-Red-Hat-Base              \
                --dir %{buildroot}%{_datadir}/applications \
                %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Resource/Support/AdobeReader.desktop 

##
## CVE-2010-3654 mitigation
##
rm -vf %{buildroot}%{_libdir}/acroread/Adobe/Reader9/Reader/intellinux/lib/libauthplay.so.0.0.0

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AdobeReader/ReadMe.htm  
%doc %{_libdir}/acroread/Adobe/Reader9/Reader/help
%doc  %{_libdir}/acroread/Adobe/Reader9/Reader/Legal
%{_bindir}/acroread
%dir %{_libdir}/acroread/
%{_libdir}/acroread/Adobe/Reader9/Reader/
%{_libdir}/acroread/Adobe/Reader9/Resource/
%{_libdir}/acroread/Adobe/Reader9/bin/
/usr/share/X11/app-defaults/WebLink
%{_datadir}/pixmaps/acroread.png
%{_datadir}/applications/%{desktop_vendor}-AdobeReader.desktop
%{_libdir}/acroread/Adobe/Reader9/Browser/
%{_libdir}/mozilla/plugins/nppdf.so


#
# Wishlist:
# * disable JavaScript at install time
# * disable advertising/"update" at install time
# * get rid of embedded openssl?

%changelog
* Wed Nov  9 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 9.4.6-1.slc5
- update to 9.4.6

* Fri Oct 29 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.4-2.slc5
- mitigate impact of CVE-2010-3654, http://www.adobe.com/support/security/advisories/apsa10-05.html

* Fri Oct  8 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.4-1.slc5
- update to 9.4

* Fri Aug 20 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.3.4-1.slc5
- update to 9.3.4

* Thu Jul 1 2010 Matthias Schroder <Matthias.Schroder@cern.ch> - 9.3.3-1.slc5
- update to 9.3.3

* Wed Apr 21 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.3.2-1.slc5
- update to 9.3.2

- update to 9.3.2

* Fri Feb 19 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.3.1-1.slc5
- update to 9.3.1

* Wed Jan 13 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.3-1.slc5
- update to 9.3

* Thu Nov 12 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.2-1.slc5
- update to 9.2

* Thu Sep 17 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.1.3-1.slc5
- update to Reader 9

* Tue Mar 31 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 8.1.4-1.slc5
- update to 8.1.4-1

* Wed Jul 23 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2_SU1-1.slc4
- go to 8.1.2_SU1, fix for CVE-2008-2641, CVE-2008-0883

* Mon Feb 25 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2-2.slc4
- get rid of bogus "provides" for system libs, CT503584

* Fri Feb 15 2008 Jan Iven <jan.iven@cern.ch> - 8.1.2-1.slc4
- update to 8.1.2 (not formally suported under RHEL4?);
  Security fix for CVE-2007-5659, CVE-2008-0655

* Thu Jun 28 2007 Jan Iven <jan.iven@cern.ch> - 7.0.9-3.SLC4
- symlink ldap libraries to fix PPKLite plugin (".. failed to initialize"-popup)

* Wed Jan 10 2007 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- update to 7.0.9

* Wed Sep 27 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- update to 7.0.8

* Wed Mar 16 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial 7.0 build

* Thu Feb 17 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- DO NOT strip (NO debuginfo) ... or plugin will crash ..
- put plugin back in main pkg for SLC3

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 5.0.10-1
- Feedback from Jason L Tibbitts.
- Updated to release 5.0.10.

* Thu Nov 18 2004 Dag Wieers <dag@wieers.com> - 5.0.9-2
- Removed %%{_libdir}/mozilla/plugins/

* Thu Jun 24 2004 Dag Wieers <dag@wieers.com> - 5.0.9-1
- Updated to release 5.0.9.
- Fixed the acroread icon. (Sahak Petrosyan)
- Added fix for crash when doing 'Find' on non-existing strings. (Stefan Hoelldampf)

* Tue Jan 27 2004 Dag Wieers <dag@wieers.com> - 5.0.8-1
- Added fix to make locale settings still work. (Fernando Lozano)

* Mon Jan 26 2004 Dag Wieers <dag@wieers.com> - 5.0.8-0
- Added exports for LANG and LC_ALL, just in case. (Axel Thimm)
- Updated to release 5.0.8.

* Mon Aug 25 2003 Dag Wieers <dag@wieers.com> - 5.0.7-2
- Fixed Unicode locale support, again. (Matthew Mastracci)

* Fri Aug 01 2003 Dag Wieers <dag@wieers.com> - 5.0.7-1
- Put mozilla plugins into a seperate package.
- Improved the desktop file.

* Sun Jul 13 2003 Dag Wieers <dag@wieers.com> - 5.0.7-0
- Initial package. (using DAR)
